# Componentes Compatibles

<p class="description">The following is a list of Material Design components & features. Those currently supported by Material-UI are highlighted ✓.</p>

While we strive to follow the guidelines where practical (applying common sense where guidelines contradict - a more common occurrence than one might expect), we do not expect to support every component, nor every feature of every component, but rather to provide the building blocks to allow developers to create compelling user interfaces and experiences.

If you wish to add support for a component or feature not highlighted here, please search for the relevant [GitHub Issue](https://github.com/mui-org/material-ui/issues), or create a new one to discuss the approach before submitting a pull request.

- **[Painéis de Expansão](https://material.io/archive/guidelines/components/expansion-panels.html) ✓** (*Legado Material v1*)
- App bars
  - **[Top](https://material.io/design/components/app-bars-top.html) ✓**
  - **[Bottom](https://material.io/design/components/app-bars-bottom.html) ✓**
- **[Banners](https://material.io/design/components/banners.html)** ([Can be composed](https://medium.com/material-ui/introducing-material-ui-design-system-93e921beb8df))
- **[Buttons](https://material.io/design/components/buttons.html) ✓**
- **[Buttons: Floating Action Button](https://material.io/design/components/buttons-floating-action-button.html) ✓**
  - **[Text & contained buttons (formerly flat & raised)](https://material.io/design/components/buttons.html) ✓**
  - **[Toggle buttons](https://material.io/design/components/buttons.html#buttons-toggle-buttons) ~** ([Lab](/components/about-the-lab/))
  - **[Icon toggle buttons](https://material.io/design/components/buttons.html#toggle-button) ✓** (Custom Checkbox)
- **[Cards](https://material.io/design/components/cards.html) ✓**
  - Transições:
    - **[Speed dial](https://material.io/design/components/buttons-floating-action-button.html#types-of-transitions) ~** ([Lab](/components/about-the-lab/))
    - [Menu](https://material.io/design/components/buttons-floating-action-button.html#types-of-transitions)
    - [Morph](https://material.io/design/components/buttons-floating-action-button.html#types-of-transitions)
    - [Full screen](https://material.io/design/components/buttons-floating-action-button.html#types-of-transitions)
  - **[Extended FAB](https://material.io/design/components/buttons-floating-action-button.html#extended-fab) ✓**
    - Speed dial
- **[Chips](https://material.io/design/components/chips.html) ✓**
- **[Data tables](https://material.io/design/components/data-tables.html) ✓**
  - **Sortable ✓**
  - [Choice](https://material.io/design/components/chips.html#choice-chips)
  - [Filter](https://material.io/design/components/chips.html#filter-chips)
  - [Action](https://material.io/design/components/chips.html#action-chips)
- **[Dialogs](https://material.io/design/components/dialogs.html) ✓**
  - **[Alert dialog](https://material.io/design/components/dialogs.html#alert-dialog) ✓**
  - **Selectable ✓**
  - **Iconos ✓**
- **[Dividers](https://material.io/design/components/dividers.html) ✓**
  - **[Full bleed](https://material.io/design/components/dividers.html#types) ✓**
  - **[Diálogos simples](https://material.io/design/components/dialogs.html#simple-dialog) ✓** (Pode ser composto com Dialog e a List.)
  - **[Middle](https://material.io/design/components/dividers.html#types) ✓**
  - **[Subheader](https://material.io/design/components/dividers.html#types) ✓**
- **[Inset](https://material.io/design/components/dividers.html#types) ✓**
  - **[Inset](https://material.io/design/components/dividers.html#types) ✓**
  - **[Inset](https://material.io/design/components/dividers.html#types) ✓**
  - **[Inset](https://material.io/design/components/dividers.html#types) ✓**
  - **[Inset](https://material.io/design/components/dividers.html#types) ✓**
- ****[Listas de Imagem](https://material.io/design/components/image-lists.html) ✓** (também conhecido como Grade Lista)******
- **[Menus](https://material.io/design/components/menus.html) ✓**
  - [Types:](https://material.io/design/components/lists.html#types)
    - **Single line ✓**
    - **Two line ✓**
    - Three line
  - **Avatar ✓**
  - **Contextual ✓**
  - Thumbnail
  - **Controls ✓**
    - **Checkbox ✓**
    - **Expand/collapse ✓** (AKA Nested)
    - **Switch ✓**
    - Reorder
- **[Progress indicators](https://material.io/design/components/progress-indicators.html) ✓**
  - **[Dropdown menu](https://material.io/design/components/menus.html#dropdown-menu) ✓** (Can be composed)
    - [Cascade](https://material.io/design/components/menus.html#dropdown-menu)
  - [Exposed dropdown menus](https://material.io/design/components/menus.html#exposed-dropdown-menu)
    - **Text field dropdown menu ✓** (Select)
    - Editable dropdown menu
  - **Helper text ✓**
- **[Selection controls](https://material.io/design/components/selection-controls.html) ✓**
  - **[Checkbox](https://material.io/design/components/selection-controls.html#checkboxes) ✓**
  - **[Radio button](https://material.io/design/components/selection-controls.html#radio-buttons) ✓**
  - **[Loading](https://material.io/archive/guidelines/components/progress-activity.html) ✓** (*Legacy Material v1*)
- **[Sliders](https://material.io/design/components/sliders.html) ✓**
  - **[Continuous](https://material.io/design/components/sliders.html#continuous-slider) ✓**
  - **[Discrete](https://material.io/design/components/sliders.html#discrete-slider) ✓**
  - **[Switch](https://material.io/design/components/selection-controls.html#switches) ✓**
- **[Switch](https://material.io/design/components/selection-controls.html#switches) ✓**
  - **[Circular](https://material.io/design/components/progress-indicators.html#circular-progress-indicators) ✓**
  - **[Switch](https://material.io/design/components/selection-controls.html#switches) ✓**
- **[Snackbars](https://material.io/design/components/snackbars.html) ✓** (*Legacy Material v1*)
- **[Subheaders](https://material.io/archive/guidelines/components/subheaders.html) ✓** (*Legacy Material v1*)
  - **[Horizontal](https://material.io/archive/guidelines/components/steppers.html#steppers-types-of-steppers) ✓**
  - **[Vertical](https://material.io/archive/guidelines/components/steppers.html#steppers-types-of-steppers) ✓**
  - [Menu](https://material.io/archive/guidelines/components/subheaders.html#subheaders-list-subheaders)
- **[Steppers](https://material.io/archive/guidelines/components/steppers.html) ✓** (*Legacy Material v1*)
  - **[Fixed tabs](https://material.io/design/components/tabs.html#fixed-tabs) ✓**
  - **[Scrollable tabs](https://material.io/design/components/tabs.html#scrollable-tabs) ✓**
  - **[Mobile steps](https://material.io/archive/guidelines/components/steppers.html#steppers-types-of-steps) ✓**
- **[Text fields](https://material.io/design/components/text-fields.html) ✓**
  - **[Tooltips](https://material.io/design/components/tooltips.html) ✓**
  - **[Filled](https://material.io/design/components/text-fields.html#filled-text-field) ✓**
- **[Outline](https://material.io/design/components/text-fields.html#outlined-text-field) ✓**
  - **[Standard](https://material.io/archive/guidelines/components/text-fields.html) ✓** (Legacy Material v1)
  - **[Outline](https://material.io/design/components/text-fields.html#outlined-text-field) ✓**
  - **[Outline](https://material.io/design/components/text-fields.html#outlined-text-field) ✓**
  - [Types](https://material.io/design/components/text-fields.html#input-types):
    - **Single-line ✓**
    - **Multi-line ✓**
    - Text-area
    - **Full-width ✓**
  - [Assistive elements:](https://material.io/design/components/text-fields.html#anatomy)
    - **Helper text ✓**
    - **Error message ✓**
    - **Iconos ✓**
    - Character counter
- **[Toolbars](https://material.io/archive/guidelines/components/toolbars.html) ✓** (Legacy Material v1)
- **[Tooltips](https://material.io/design/components/tooltips.html) ✓**
- **Desktop ✓**
- **Mobile ✓**
